#include <oslib/oslib.h>

#ifdef IRDA_DEBUG
int irda_debug;
#endif
#ifdef IRDA_DUMP
int irda_dump;
extern FILE* debug_fd;
#endif

void dump( unsigned char data, int send_or_receive);


#ifdef IRDA_DEBUG
#  define DEBUG(n, format, args...) if (irda_debug >= (n)) fprintf( debug_fd,"%s(): " format, __FUNCTION__ , ##args)
#else
#  define DEBUG(n, format, args...)
#endif

#ifdef IRDA_DUMP
#  define DUMP(data, send_or_receive) if (irda_dump == 1) dump( data, send_or_receive)
#else
#  define DUMP(data, send_or_receive)
#endif

#define MAXPATH 1024
#define MAXNAME 256
#define MAX_ENTRY 256
#define WAIT_PERIOD 10

